import $ from 'jquery';

import AddToCartForm from './Form/AddToCart';
import AttributeList from './Form/Element/AttributeList';
import ProductEnquiry from './Form/Element/ProductEnquiry';
import Quantity from './Form/Element/Quantity';
import QuantityList from './Form/Element/QuantityList';

require('./cart');
require('./update-fragments');
require('./misc/r1');

const init = () => {
    function parse()
    {
        $('.product-enquiry').each(function(i, el) {
            if (el.ep === undefined || el.ep.constructor.name !== 'ProductEnquiry') {
                el.ep = undefined;
                el.ep = new ProductEnquiry(el);
            }
        });

        $('.quantity-input').each(function(i, el) {
            if (el.ep === undefined) {
                el.ep = new Quantity(el);
            }
        });

        $('.quantity-input-list').each(function(i, el) {
            if (el.ep === undefined) {
                el.ep = new QuantityList(el);
            }
        });

        $('.product-attributes').each(function(i, el) {
            if (el.ep === undefined) {
                el.ep = new AttributeList(el);
            }
        });

        $('form.add-to-cart').each(function(i, el) {
            if (el.ep === undefined) {
                el.ep = new AddToCartForm(el);
            }
        });
    }

    parse();
    $(document.body).on('DOMNodeInserted', parse);
};

export default init;
